#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QMainWindow>
#include <QtGui/QProgressBar>
#include <QtGui/QStatusBar>
#include <QtGui/QToolBar>
#include <QtGui/QTreeWidget>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

#include <QMainWindow>
#include <QStringList>
#include "applicationinfo.h"

class MainWindow : public QMainWindow {
  Q_OBJECT
public:
    MainWindow();
    virtual ~MainWindow();

protected:
    void changeEvent(QEvent *e);

private:
    /**
      \brief Load the xml files for each applications found in the share directory.
      */
    void initAppList();

    /**
      \brief Init the UI.
      */
    void setupUi();
    void retranslateUi();
    void setupEventsUi();
    void setupIconsUi();

public slots:
    void on_actionAnalyze_triggered();
    void on_actionQuit_triggered();
    void on_actionSelectAll_triggered();
    void on_actionClean_triggered();
    void treeAppChange(QTreeWidgetItem*,int);

private:
    QAction *actionAnalyze;
    QAction *actionSelectAll;
    QAction *actionClean;
    QAction *actionQuit;
    QAction *actionAbout;
    QWidget *centralWidget;
    QTreeWidget *treeWidgetCheckApp;
    QTreeWidget *treeWidgetListFiles;
    QProgressBar *progressBar;
    QToolBar *toolBar;
    QStatusBar *statusBar;
};

#endif // MAINWINDOW_H
