/*
    Copyright (C) 2010 Yvon Tanguy

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef SCCUTILS_H
#define SCCUTILS_H

#include<QObject>
#include<QString>
#include<QMap>
#include<QPixmap>
#include<QFileInfo>
#include<string>

class SCCUtils {
private:
    SCCUtils(); // static class

    static const QPixmap &getIcon(const QString &iconFilename);

    static QString &getFilename(const std::string &iconName, int size);
    static QString &getFilename(const QString &iconName, int size);

public:
    static QString getHumanSize(const qint64 bytes);

    static const QPixmap &getIcon(const QString &iconName, int size);
    static const QPixmap &getIcon(const std::string &iconName, int size);

    /**
       \brief A function similar to wordexp().
       \param infoList: An instance of QFileInfoList which will be completed.
       \param path: The path to expand
       \return A pointer on infoList
     */
    // static QFileInfoList *fileExp(QFileInfoList &infoList, const QString &path);

private:
    static QMap<QString, QString> mapCache;
};

#endif // SCCUTILS_H
