/*
    Copyright (C) 2010 Yvon Tanguy

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#include "iconnaming.h"

using namespace std;
using namespace freedesktop;

const string IconNamingActions::ADDRESS_BOOK_NEW = "address-book-new";
const string IconNamingActions::APPLICATION_EXIT = "application-exit";
const string IconNamingActions::APPOINTMENT_NEW = "appointment-new";
const string IconNamingActions::CALL_START = "call-start";
const string IconNamingActions::CALL_STOP = "call-stop";
const string IconNamingActions::CONTACT_NEW = "contact-new";
const string IconNamingActions::DOCUMENT_NEW = "document-new";
const string IconNamingActions::DOCUMENT_OPEN = "document-open";
const string IconNamingActions::DOCUMENT_OPEN_RECENT = "document-open-recent";
const string IconNamingActions::DOCUMENT_PAGE_SETUP = "document-page-setup";
const string IconNamingActions::DOCUMENT_PRINT = "document-print";
const string IconNamingActions::DOCUMENT_PRINT_PREVIEW = "document-print-preview";
const string IconNamingActions::DOCUMENT_PROPERTIES = "document-properties";
const string IconNamingActions::DOCUMENT_REVERT = "document-revert";
const string IconNamingActions::DOCUMENT_SAVE = "document-save";
const string IconNamingActions::DOCUMENT_SAVE_AS = "document-save-as";
const string IconNamingActions::DOCUMENT_SEND = "document-send";
const string IconNamingActions::EDIT_CLEAR = "edit-clear";
const string IconNamingActions::EDIT_COPY = "edit-copy";
const string IconNamingActions::EDIT_CUT = "edit-cut";
const string IconNamingActions::EDIT_DELETE = "edit-delete";
const string IconNamingActions::EDIT_FIND = "edit-find";
const string IconNamingActions::EDIT_FIND_REPLACE = "edit-find-replace";
const string IconNamingActions::EDIT_PASTE = "edit-paste";
const string IconNamingActions::EDIT_REDO = "edit-redo";
const string IconNamingActions::EDIT_SELECT_ALL = "edit-select-all";
const string IconNamingActions::EDIT_UNDO = "edit-undo";
const string IconNamingActions::FOLDER_NEW = "folder-new";
const string IconNamingActions::FORMAT_INDENT_LESS = "format-indent-less";
const string IconNamingActions::FORMAT_INDENT_MORE = "format-indent-more";
const string IconNamingActions::FORMAT_JUSTIFY_CENTER = "format-justify-center";
const string IconNamingActions::FORMAT_JUSTIFY_FILL = "format-justify-fill";
const string IconNamingActions::FORMAT_JUSTIFY_LEFT = "format-justify-left";
const string IconNamingActions::FORMAT_JUSTIFY_RIGHT = "format-justify-right";
const string IconNamingActions::FORMAT_TEXT_DIRECTION_LTR = "format-text-direction-ltr";
const string IconNamingActions::FORMAT_TEXT_DIRECTION_RTL = "format-text-direction-rtl";
const string IconNamingActions::FORMAT_TEXT_BOLD = "format-text-bold";
const string IconNamingActions::FORMAT_TEXT_ITALIC = "format-text-italic";
const string IconNamingActions::FORMAT_TEXT_UNDERLINE = "format-text-underline";
const string IconNamingActions::FORMAT_TEXT_STRIKETHROUGH = "format-text-strikethrough";
const string IconNamingActions::GO_BOTTOM = "go-bottom";
const string IconNamingActions::GO_DOWN = "go-down";
const string IconNamingActions::GO_FIRST = "go-first";
const string IconNamingActions::GO_HOME = "go-home";
const string IconNamingActions::GO_JUMP = "go-jump";
const string IconNamingActions::GO_LAST = "go-last";
const string IconNamingActions::GO_NEXT = "go-next";
const string IconNamingActions::GO_PREVIOUS = "go-previous";
const string IconNamingActions::GO_TOP = "go-top";
const string IconNamingActions::GO_UP = "go-up";
const string IconNamingActions::HELP_ABOUT = "help-about";
const string IconNamingActions::HELP_CONTENTS = "help-contents";
const string IconNamingActions::HELP_FAQ = "help-faq";
const string IconNamingActions::INSERT_IMAGE = "insert-image";
const string IconNamingActions::INSERT_LINK = "insert-link";
const string IconNamingActions::INSERT_OBJECT = "insert-object";
const string IconNamingActions::INSERT_TEXT = "insert-text";
const string IconNamingActions::LIST_ADD = "list-add";
const string IconNamingActions::LIST_REMOVE = "list-remove";
const string IconNamingActions::MAIL_FORWARD = "mail-forward";
const string IconNamingActions::MAIL_MARK_IMPORTANT = "mail-mark-important";
const string IconNamingActions::MAIL_MARK_JUNK = "mail-mark-junk";
const string IconNamingActions::MAIL_MARK_NOTJUNK = "mail-mark-notjunk";
const string IconNamingActions::MAIL_MARK_READ = "mail-mark-read";
const string IconNamingActions::MAIL_MARK_UNREAD = "mail-mark-unread";
const string IconNamingActions::MAIL_MESSAGE_NEW = "mail-message-new";
const string IconNamingActions::MAIL_REPLY_ALL = "mail-reply-all";
const string IconNamingActions::MAIL_REPLY_SENDER = "mail-reply-sender";
const string IconNamingActions::MAIL_SEND = "mail-send";
const string IconNamingActions::MAIL_SEND_RECEIVE = "mail-send-receive";
const string IconNamingActions::MEDIA_EJECT = "media-eject";
const string IconNamingActions::MEDIA_PLAYBACK_PAUSE = "media-playback-pause";
const string IconNamingActions::MEDIA_PLAYBACK_START = "media-playback-start";
const string IconNamingActions::MEDIA_PLAYBACK_STOP = "media-playback-stop";
const string IconNamingActions::MEDIA_RECORD = "media-record";
const string IconNamingActions::MEDIA_SEEK_BACKWARD = "media-seek-backward";
const string IconNamingActions::MEDIA_SEEK_FORWARD = "media-seek-forward";
const string IconNamingActions::MEDIA_SKIP_BACKWARD = "media-skip-backward";
const string IconNamingActions::MEDIA_SKIP_FORWARD = "media-skip-forward";
const string IconNamingActions::OBJECT_FLIP_HORIZONTAL = "object-flip-horizontal";
const string IconNamingActions::OBJECT_FLIP_VERTICAL = "object-flip-vertical";
const string IconNamingActions::OBJECT_ROTATE_LEFT = "object-rotate-left";
const string IconNamingActions::OBJECT_ROTATE_RIGHT = "object-rotate-right";
const string IconNamingActions::PROCESS_STOP = "process-stop";
const string IconNamingActions::SYSTEM_LOCK_SCREEN = "system-lock-screen";
const string IconNamingActions::SYSTEM_LOG_OUT = "system-log-out";
const string IconNamingActions::SYSTEM_RUN = "system-run";
const string IconNamingActions::SYSTEM_SEARCH = "system-search";
const string IconNamingActions::SYSTEM_REBOOT = "system-reboot";
const string IconNamingActions::SYSTEM_SHUTDOWN = "system-shutdown";
const string IconNamingActions::TOOLS_CHECK_SPELLING = "tools-check-spelling";
const string IconNamingActions::VIEW_FULLSCREEN = "view-fullscreen";
const string IconNamingActions::VIEW_REFRESH = "view-refresh";
const string IconNamingActions::VIEW_RESTORE = "view-restore";
const string IconNamingActions::VIEW_SORT_ASCENDING = "view-sort-ascending";
const string IconNamingActions::VIEW_SORT_DESCENDING = "view-sort-descending";
const string IconNamingActions::WINDOW_CLOSE = "window-close";
const string IconNamingActions::WINDOW_NEW = "window-new";
const string IconNamingActions::ZOOM_FIT_BEST = "zoom-fit-best";
const string IconNamingActions::ZOOM_IN = "zoom-in";
const string IconNamingActions::ZOOM_ORIGINAL = "zoom-original";
const string IconNamingActions::ZOOM_OUT = "zoom-out";

const string IconNamingAnimations::PROCESS_WORKING = "process-working";

const string IconNamingApplications::ACCESSORIES_CALCULATOR = "accessories-calculator";
const string IconNamingApplications::ACCESSORIES_CHARACTER_MAP = "accessories-character-map";
const string IconNamingApplications::ACCESSORIES_DICTIONARY = "accessories-dictionary";
const string IconNamingApplications::ACCESSORIES_TEXT_EDITOR = "accessories-text-editor";
const string IconNamingApplications::HELP_BROWSER = "help-browser";
const string IconNamingApplications::MULTIMEDIA_VOLUME_CONTROL = "multimedia-volume-control";
const string IconNamingApplications::PREFERENCES_DESKTOP_ACCESSIBILITY = "preferences-desktop-accessibility";
const string IconNamingApplications::PREFERENCES_DESKTOP_FONT = "preferences-desktop-font";
const string IconNamingApplications::PREFERENCES_DESKTOP_KEYBOARD = "preferences-desktop-keyboard";
const string IconNamingApplications::PREFERENCES_DESKTOP_LOCALE = "preferences-desktop-locale";
const string IconNamingApplications::PREFERENCES_DESKTOP_MULTIMEDIA = "preferences-desktop-multimedia";
const string IconNamingApplications::PREFERENCES_DESKTOP_SCREENSAVER = "preferences-desktop-screensaver";
const string IconNamingApplications::PREFERENCES_DESKTOP_THEME = "preferences-desktop-theme";
const string IconNamingApplications::PREFERENCES_DESKTOP_WALLPAPER = "preferences-desktop-wallpaper";
const string IconNamingApplications::SYSTEM_FILE_MANAGER = "system-file-manager";
const string IconNamingApplications::SYSTEM_SOFTWARE_INSTALL = "system-software-install";
const string IconNamingApplications::SYSTEM_SOFTWARE_UPDATE = "system-software-update";
const string IconNamingApplications::UTILITIES_SYSTEM_MONITOR = "utilities-system-monitor";
const string IconNamingApplications::UTILITIES_TERMINAL = "utilities-terminal";

const string IconNamingCategories::APPLICATIONS_ACCESSORIES = "applications-accessories";
const string IconNamingCategories::APPLICATIONS_DEVELOPMENT = "applications-development";
const string IconNamingCategories::APPLICATIONS_ENGINEERING = "applications-engineering";
const string IconNamingCategories::APPLICATIONS_GAMES = "applications-games";
const string IconNamingCategories::APPLICATIONS_GRAPHICS = "applications-graphics";
const string IconNamingCategories::APPLICATIONS_INTERNET = "applications-internet";
const string IconNamingCategories::APPLICATIONS_MULTIMEDIA = "applications-multimedia";
const string IconNamingCategories::APPLICATIONS_OFFICE = "applications-office";
const string IconNamingCategories::APPLICATIONS_OTHER = "applications-other";
const string IconNamingCategories::APPLICATIONS_SCIENCE = "applications-science";
const string IconNamingCategories::APPLICATIONS_SYSTEM = "applications-system";
const string IconNamingCategories::APPLICATIONS_UTILITIES = "applications-utilities";
const string IconNamingCategories::PREFERENCES_DESKTOP = "preferences-desktop";
const string IconNamingCategories::PREFERENCES_DESKTOP_PERIPHERALS = "preferences-desktop-peripherals";
const string IconNamingCategories::PREFERENCES_DESKTOP_PERSONAL = "preferences-desktop-personal";
const string IconNamingCategories::PREFERENCES_OTHER = "preferences-other";
const string IconNamingCategories::PREFERENCES_SYSTEM = "preferences-system";
const string IconNamingCategories::PREFERENCES_SYSTEM_NETWORK = "preferences-system-network";
const string IconNamingCategories::SYSTEM_HELP = "system-help";

const string IconNamingDevices::AUDIO_CARD = "audio-card";
const string IconNamingDevices::AUDIO_INPUT_MICROPHONE = "audio-input-microphone";
const string IconNamingDevices::BATTERY = "battery";
const string IconNamingDevices::CAMERA_PHOTO = "camera-photo";
const string IconNamingDevices::CAMERA_VIDEO = "camera-video";
const string IconNamingDevices::CAMERA_WEB = "camera-web";
const string IconNamingDevices::COMPUTER = "computer";
const string IconNamingDevices::DRIVE_HARDDISK = "drive-harddisk";
const string IconNamingDevices::DRIVE_OPTICAL = "drive-optical";
const string IconNamingDevices::DRIVE_REMOVABLE_MEDIA = "drive-removable-media";
const string IconNamingDevices::INPUT_GAMING = "input-gaming";
const string IconNamingDevices::INPUT_KEYBOARD = "input-keyboard";
const string IconNamingDevices::INPUT_MOUSE = "input-mouse";
const string IconNamingDevices::INPUT_TABLET = "input-tablet";
const string IconNamingDevices::MEDIA_FLASH = "media-flash";
const string IconNamingDevices::MEDIA_FLOPPY = "media-floppy";
const string IconNamingDevices::MEDIA_OPTICAL = "media-optical";
const string IconNamingDevices::MEDIA_TAPE = "media-tape";
const string IconNamingDevices::MODEM = "modem";
const string IconNamingDevices::MULTIMEDIA_PLAYER = "multimedia-player";
const string IconNamingDevices::NETWORK_WIRED = "network-wired";
const string IconNamingDevices::NETWORK_WIRELESS = "network-wireless";
const string IconNamingDevices::PDA = "pda";
const string IconNamingDevices::PHONE = "phone";
const string IconNamingDevices::PRINTER = "printer";
const string IconNamingDevices::SCANNER = "scanner";
const string IconNamingDevices::VIDEO_DISPLAY = "video-display";

const string IconNamingEmblems::EMBLEM_DEFAULT = "emblem-default";
const string IconNamingEmblems::EMBLEM_DOCUMENTS = "emblem-documents";
const string IconNamingEmblems::EMBLEM_DOWNLOADS = "emblem-downloads";
const string IconNamingEmblems::EMBLEM_FAVORITE = "emblem-favorite";
const string IconNamingEmblems::EMBLEM_IMPORTANT = "emblem-important";
const string IconNamingEmblems::EMBLEM_MAIL = "emblem-mail";
const string IconNamingEmblems::EMBLEM_PHOTOS = "emblem-photos";
const string IconNamingEmblems::EMBLEM_READONLY = "emblem-readonly";
const string IconNamingEmblems::EMBLEM_SHARED = "emblem-shared";
const string IconNamingEmblems::EMBLEM_SYMBOLIC_LINK = "emblem-symbolic-link";
const string IconNamingEmblems::EMBLEM_SYNCHRONIZED = "emblem-synchronized";
const string IconNamingEmblems::EMBLEM_SYSTEM = "emblem-system";
const string IconNamingEmblems::EMBLEM_UNREADABLE = "emblem-unreadable";

const string IconNamingEmotes::FACE_ANGEL = "face-angel";
const string IconNamingEmotes::FACE_ANGRY = "face-angry";
const string IconNamingEmotes::FACE_COOL = "face-cool";
const string IconNamingEmotes::FACE_CRYING = "face-crying";
const string IconNamingEmotes::FACE_DEVILISH = "face-devilish";
const string IconNamingEmotes::FACE_EMBARRASSED = "face-embarrassed";
const string IconNamingEmotes::FACE_KISS = "face-kiss";
const string IconNamingEmotes::FACE_LAUGH = "face-laugh";
const string IconNamingEmotes::FACE_MONKEY = "face-monkey";
const string IconNamingEmotes::FACE_PLAIN = "face-plain";
const string IconNamingEmotes::FACE_RASPBERRY = "face-raspberry";
const string IconNamingEmotes::FACE_SAD = "face-sad";
const string IconNamingEmotes::FACE_SICK = "face-sick";
const string IconNamingEmotes::FACE_SMILE = "face-smile";
const string IconNamingEmotes::FACE_SMILE_BIG = "face-smile-big";
const string IconNamingEmotes::FACE_SMIRK = "face-smirk";
const string IconNamingEmotes::FACE_SURPRISE = "face-surprise";
const string IconNamingEmotes::FACE_TIRED = "face-tired";
const string IconNamingEmotes::FACE_UNCERTAIN = "face-uncertain";
const string IconNamingEmotes::FACE_WINK = "face-wink";
const string IconNamingEmotes::FACE_WORRIED = "face-worried";

const string IconNamingInternational::FLAG_AF = "flag-af";
const string IconNamingInternational::FLAG_AX = "flag-ax";
const string IconNamingInternational::FLAG_AL = "flag-al";
const string IconNamingInternational::FLAG_DZ = "flag-dz";
const string IconNamingInternational::FLAG_AS = "flag-as";
const string IconNamingInternational::FLAG_AD = "flag-ad";
const string IconNamingInternational::FLAG_AO = "flag-ao";
const string IconNamingInternational::FLAG_AI = "flag-ai";
const string IconNamingInternational::FLAG_AQ = "flag-aq";
const string IconNamingInternational::FLAG_AG = "flag-ag";
const string IconNamingInternational::FLAG_AR = "flag-ar";
const string IconNamingInternational::FLAG_AM = "flag-am";
const string IconNamingInternational::FLAG_AW = "flag-aw";
const string IconNamingInternational::FLAG_AU = "flag-au";
const string IconNamingInternational::FLAG_AT = "flag-at";
const string IconNamingInternational::FLAG_AZ = "flag-az";
const string IconNamingInternational::FLAG_BS = "flag-bs";
const string IconNamingInternational::FLAG_BH = "flag-bh";
const string IconNamingInternational::FLAG_BD = "flag-bd";
const string IconNamingInternational::FLAG_BB = "flag-bb";
const string IconNamingInternational::FLAG_BY = "flag-by";
const string IconNamingInternational::FLAG_BE = "flag-be";
const string IconNamingInternational::FLAG_BZ = "flag-bz";
const string IconNamingInternational::FLAG_BJ = "flag-bj";
const string IconNamingInternational::FLAG_BM = "flag-bm";
const string IconNamingInternational::FLAG_BT = "flag-bt";
const string IconNamingInternational::FLAG_BO = "flag-bo";
const string IconNamingInternational::FLAG_BA = "flag-ba";
const string IconNamingInternational::FLAG_BW = "flag-bw";
const string IconNamingInternational::FLAG_BV = "flag-bv";
const string IconNamingInternational::FLAG_BR = "flag-br";
const string IconNamingInternational::FLAG_IO = "flag-io";
const string IconNamingInternational::FLAG_BN = "flag-bn";
const string IconNamingInternational::FLAG_BG = "flag-bg";
const string IconNamingInternational::FLAG_BF = "flag-bf";
const string IconNamingInternational::FLAG_BI = "flag-bi";
const string IconNamingInternational::FLAG_KH = "flag-kh";
const string IconNamingInternational::FLAG_CM = "flag-cm";
const string IconNamingInternational::FLAG_CA = "flag-ca";
const string IconNamingInternational::FLAG_CV = "flag-cv";
const string IconNamingInternational::FLAG_KY = "flag-ky";
const string IconNamingInternational::FLAG_CF = "flag-cf";
const string IconNamingInternational::FLAG_TD = "flag-td";
const string IconNamingInternational::FLAG_CL = "flag-cl";
const string IconNamingInternational::FLAG_CN = "flag-cn";
const string IconNamingInternational::FLAG_CX = "flag-cx";
const string IconNamingInternational::FLAG_CC = "flag-cc";
const string IconNamingInternational::FLAG_CO = "flag-co";
const string IconNamingInternational::FLAG_KM = "flag-km";
const string IconNamingInternational::FLAG_CG = "flag-cg";
const string IconNamingInternational::FLAG_CD = "flag-cd";
const string IconNamingInternational::FLAG_CK = "flag-ck";
const string IconNamingInternational::FLAG_CR = "flag-cr";
const string IconNamingInternational::FLAG_CI = "flag-ci";
const string IconNamingInternational::FLAG_HR = "flag-hr";
const string IconNamingInternational::FLAG_CU = "flag-cu";
const string IconNamingInternational::FLAG_CY = "flag-cy";
const string IconNamingInternational::FLAG_CZ = "flag-cz";
const string IconNamingInternational::FLAG_DK = "flag-dk";
const string IconNamingInternational::FLAG_DJ = "flag-dj";
const string IconNamingInternational::FLAG_DM = "flag-dm";
const string IconNamingInternational::FLAG_DO = "flag-do";
const string IconNamingInternational::FLAG_EC = "flag-ec";
const string IconNamingInternational::FLAG_EG = "flag-eg";
const string IconNamingInternational::FLAG_SV = "flag-sv";
const string IconNamingInternational::FLAG_GQ = "flag-gq";
const string IconNamingInternational::FLAG_ER = "flag-er";
const string IconNamingInternational::FLAG_EE = "flag-ee";
const string IconNamingInternational::FLAG_ET = "flag-et";
const string IconNamingInternational::FLAG_FK = "flag-fk";
const string IconNamingInternational::FLAG_FO = "flag-fo";
const string IconNamingInternational::FLAG_FJ = "flag-fj";
const string IconNamingInternational::FLAG_FI = "flag-fi";
const string IconNamingInternational::FLAG_FR = "flag-fr";
const string IconNamingInternational::FLAG_GF = "flag-gf";
const string IconNamingInternational::FLAG_PF = "flag-pf";
const string IconNamingInternational::FLAG_TF = "flag-tf";
const string IconNamingInternational::FLAG_GA = "flag-ga";
const string IconNamingInternational::FLAG_GM = "flag-gm";
const string IconNamingInternational::FLAG_GE = "flag-ge";
const string IconNamingInternational::FLAG_DE = "flag-de";
const string IconNamingInternational::FLAG_GH = "flag-gh";
const string IconNamingInternational::FLAG_GI = "flag-gi";
const string IconNamingInternational::FLAG_GR = "flag-gr";
const string IconNamingInternational::FLAG_GL = "flag-gl";
const string IconNamingInternational::FLAG_GD = "flag-gd";
const string IconNamingInternational::FLAG_GP = "flag-gp";
const string IconNamingInternational::FLAG_GU = "flag-gu";
const string IconNamingInternational::FLAG_GT = "flag-gt";
const string IconNamingInternational::FLAG_GG = "flag-gg";
const string IconNamingInternational::FLAG_GN = "flag-gn";
const string IconNamingInternational::FLAG_GW = "flag-gw";
const string IconNamingInternational::FLAG_GY = "flag-gy";
const string IconNamingInternational::FLAG_HT = "flag-ht";
const string IconNamingInternational::FLAG_HM = "flag-hm";
const string IconNamingInternational::FLAG_VA = "flag-va";
const string IconNamingInternational::FLAG_HN = "flag-hn";
const string IconNamingInternational::FLAG_HK = "flag-hk";
const string IconNamingInternational::FLAG_HU = "flag-hu";
const string IconNamingInternational::FLAG_IS = "flag-is";
const string IconNamingInternational::FLAG_IN = "flag-in";
const string IconNamingInternational::FLAG_ID = "flag-id";
const string IconNamingInternational::FLAG_IR = "flag-ir";
const string IconNamingInternational::FLAG_IQ = "flag-iq";
const string IconNamingInternational::FLAG_IE = "flag-ie";
const string IconNamingInternational::FLAG_IM = "flag-im";
const string IconNamingInternational::FLAG_IL = "flag-il";
const string IconNamingInternational::FLAG_IT = "flag-it";
const string IconNamingInternational::FLAG_JM = "flag-jm";
const string IconNamingInternational::FLAG_JP = "flag-jp";
const string IconNamingInternational::FLAG_JE = "flag-je";
const string IconNamingInternational::FLAG_JO = "flag-jo";
const string IconNamingInternational::FLAG_KZ = "flag-kz";
const string IconNamingInternational::FLAG_KE = "flag-ke";
const string IconNamingInternational::FLAG_KI = "flag-ki";
const string IconNamingInternational::FLAG_KP = "flag-kp";
const string IconNamingInternational::FLAG_KR = "flag-kr";
const string IconNamingInternational::FLAG_KW = "flag-kw";
const string IconNamingInternational::FLAG_KG = "flag-kg";
const string IconNamingInternational::FLAG_LA = "flag-la";
const string IconNamingInternational::FLAG_LV = "flag-lv";
const string IconNamingInternational::FLAG_LB = "flag-lb";
const string IconNamingInternational::FLAG_LS = "flag-ls";
const string IconNamingInternational::FLAG_LR = "flag-lr";
const string IconNamingInternational::FLAG_LY = "flag-ly";
const string IconNamingInternational::FLAG_LI = "flag-li";
const string IconNamingInternational::FLAG_LT = "flag-lt";
const string IconNamingInternational::FLAG_LU = "flag-lu";
const string IconNamingInternational::FLAG_MO = "flag-mo";
const string IconNamingInternational::FLAG_MK = "flag-mk";
const string IconNamingInternational::FLAG_MG = "flag-mg";
const string IconNamingInternational::FLAG_MW = "flag-mw";
const string IconNamingInternational::FLAG_MY = "flag-my";
const string IconNamingInternational::FLAG_MV = "flag-mv";
const string IconNamingInternational::FLAG_ML = "flag-ml";
const string IconNamingInternational::FLAG_MT = "flag-mt";
const string IconNamingInternational::FLAG_MH = "flag-mh";
const string IconNamingInternational::FLAG_MQ = "flag-mq";
const string IconNamingInternational::FLAG_MR = "flag-mr";
const string IconNamingInternational::FLAG_MU = "flag-mu";
const string IconNamingInternational::FLAG_YT = "flag-yt";
const string IconNamingInternational::FLAG_MX = "flag-mx";
const string IconNamingInternational::FLAG_FM = "flag-fm";
const string IconNamingInternational::FLAG_MD = "flag-md";
const string IconNamingInternational::FLAG_MC = "flag-mc";
const string IconNamingInternational::FLAG_MN = "flag-mn";
const string IconNamingInternational::FLAG_ME = "flag-me";
const string IconNamingInternational::FLAG_MS = "flag-ms";
const string IconNamingInternational::FLAG_MA = "flag-ma";
const string IconNamingInternational::FLAG_MZ = "flag-mz";
const string IconNamingInternational::FLAG_MM = "flag-mm";
const string IconNamingInternational::FLAG_NA = "flag-na";
const string IconNamingInternational::FLAG_NR = "flag-nr";
const string IconNamingInternational::FLAG_NP = "flag-np";
const string IconNamingInternational::FLAG_NL = "flag-nl";
const string IconNamingInternational::FLAG_AN = "flag-an";
const string IconNamingInternational::FLAG_NC = "flag-nc";
const string IconNamingInternational::FLAG_NZ = "flag-nz";
const string IconNamingInternational::FLAG_NI = "flag-ni";
const string IconNamingInternational::FLAG_NE = "flag-ne";
const string IconNamingInternational::FLAG_NG = "flag-ng";
const string IconNamingInternational::FLAG_NU = "flag-nu";
const string IconNamingInternational::FLAG_NF = "flag-nf";
const string IconNamingInternational::FLAG_MP = "flag-mp";
const string IconNamingInternational::FLAG_NO = "flag-no";
const string IconNamingInternational::FLAG_OM = "flag-om";
const string IconNamingInternational::FLAG_PK = "flag-pk";
const string IconNamingInternational::FLAG_PW = "flag-pw";
const string IconNamingInternational::FLAG_PS = "flag-ps";
const string IconNamingInternational::FLAG_PA = "flag-pa";
const string IconNamingInternational::FLAG_PG = "flag-pg";
const string IconNamingInternational::FLAG_PY = "flag-py";
const string IconNamingInternational::FLAG_PE = "flag-pe";
const string IconNamingInternational::FLAG_PH = "flag-ph";
const string IconNamingInternational::FLAG_PN = "flag-pn";
const string IconNamingInternational::FLAG_PL = "flag-pl";
const string IconNamingInternational::FLAG_PT = "flag-pt";
const string IconNamingInternational::FLAG_PR = "flag-pr";
const string IconNamingInternational::FLAG_QA = "flag-qa";
const string IconNamingInternational::FLAG_RE = "flag-re";
const string IconNamingInternational::FLAG_RO = "flag-ro";
const string IconNamingInternational::FLAG_RU = "flag-ru";
const string IconNamingInternational::FLAG_RW = "flag-rw";
const string IconNamingInternational::FLAG_BL = "flag-bl";
const string IconNamingInternational::FLAG_SH = "flag-sh";
const string IconNamingInternational::FLAG_KN = "flag-kn";
const string IconNamingInternational::FLAG_LC = "flag-lc";
const string IconNamingInternational::FLAG_MF = "flag-mf";
const string IconNamingInternational::FLAG_PM = "flag-pm";
const string IconNamingInternational::FLAG_VC = "flag-vc";
const string IconNamingInternational::FLAG_WS = "flag-ws";
const string IconNamingInternational::FLAG_SM = "flag-sm";
const string IconNamingInternational::FLAG_ST = "flag-st";
const string IconNamingInternational::FLAG_SA = "flag-sa";
const string IconNamingInternational::FLAG_SN = "flag-sn";
const string IconNamingInternational::FLAG_RS = "flag-rs";
const string IconNamingInternational::FLAG_SC = "flag-sc";
const string IconNamingInternational::FLAG_SL = "flag-sl";
const string IconNamingInternational::FLAG_SG = "flag-sg";
const string IconNamingInternational::FLAG_SK = "flag-sk";
const string IconNamingInternational::FLAG_SI = "flag-si";
const string IconNamingInternational::FLAG_SB = "flag-sb";
const string IconNamingInternational::FLAG_SO = "flag-so";
const string IconNamingInternational::FLAG_ZA = "flag-za";
const string IconNamingInternational::FLAG_GS = "flag-gs";
const string IconNamingInternational::FLAG_ES = "flag-es";
const string IconNamingInternational::FLAG_LK = "flag-lk";
const string IconNamingInternational::FLAG_SD = "flag-sd";
const string IconNamingInternational::FLAG_SR = "flag-sr";
const string IconNamingInternational::FLAG_SJ = "flag-sj";
const string IconNamingInternational::FLAG_SZ = "flag-sz";
const string IconNamingInternational::FLAG_SE = "flag-se";
const string IconNamingInternational::FLAG_CH = "flag-ch";
const string IconNamingInternational::FLAG_SY = "flag-sy";
const string IconNamingInternational::FLAG_TW = "flag-tw";
const string IconNamingInternational::FLAG_TJ = "flag-tj";
const string IconNamingInternational::FLAG_TZ = "flag-tz";
const string IconNamingInternational::FLAG_TH = "flag-th";
const string IconNamingInternational::FLAG_TL = "flag-tl";
const string IconNamingInternational::FLAG_TG = "flag-tg";
const string IconNamingInternational::FLAG_TK = "flag-tk";
const string IconNamingInternational::FLAG_TO = "flag-to";
const string IconNamingInternational::FLAG_TT = "flag-tt";
const string IconNamingInternational::FLAG_TN = "flag-tn";
const string IconNamingInternational::FLAG_TR = "flag-tr";
const string IconNamingInternational::FLAG_TM = "flag-tm";
const string IconNamingInternational::FLAG_TC = "flag-tc";
const string IconNamingInternational::FLAG_TV = "flag-tv";
const string IconNamingInternational::FLAG_UG = "flag-ug";
const string IconNamingInternational::FLAG_UA = "flag-ua";
const string IconNamingInternational::FLAG_AE = "flag-ae";
const string IconNamingInternational::FLAG_GB = "flag-gb";
const string IconNamingInternational::FLAG_US = "flag-us";
const string IconNamingInternational::FLAG_UM = "flag-um";
const string IconNamingInternational::FLAG_UY = "flag-uy";
const string IconNamingInternational::FLAG_UZ = "flag-uz";
const string IconNamingInternational::FLAG_VU = "flag-vu";
const string IconNamingInternational::FLAG_VE = "flag-ve";
const string IconNamingInternational::FLAG_VN = "flag-vn";
const string IconNamingInternational::FLAG_VG = "flag-vg";
const string IconNamingInternational::FLAG_VI = "flag-vi";
const string IconNamingInternational::FLAG_WF = "flag-wf";
const string IconNamingInternational::FLAG_EH = "flag-eh";
const string IconNamingInternational::FLAG_YE = "flag-ye";
const string IconNamingInternational::FLAG_ZM = "flag-zm";
const string IconNamingInternational::FLAG_ZW = "flag-zw";

const string IconNamingMimeTypes::APPLICATION_X_GENERIC = "application-x-generic";
const string IconNamingMimeTypes::APPLICATION_X_EXECUTABLE = "application-x-executable";
const string IconNamingMimeTypes::AUDIO_X_GENERIC = "audio-x-generic";
const string IconNamingMimeTypes::FONT_X_GENERIC = "font-x-generic";
const string IconNamingMimeTypes::IMAGE_X_GENERIC = "image-x-generic";
const string IconNamingMimeTypes::PACKAGE_X_GENERIC = "package-x-generic";
const string IconNamingMimeTypes::TEXT_HTML = "text-html";
const string IconNamingMimeTypes::TEXT_X_GENERIC = "text-x-generic";
const string IconNamingMimeTypes::TEXT_X_GENERIC_TEMPLATE = "text-x-generic-template";
const string IconNamingMimeTypes::TEXT_X_SCRIPT = "text-x-script";
const string IconNamingMimeTypes::VIDEO_X_GENERIC = "video-x-generic";
const string IconNamingMimeTypes::X_OFFICE_ADDRESS_BOOK = "x-office-address-book";
const string IconNamingMimeTypes::X_OFFICE_CALENDAR = "x-office-calendar";
const string IconNamingMimeTypes::X_OFFICE_DOCUMENT = "x-office-document";
const string IconNamingMimeTypes::X_OFFICE_PRESENTATION = "x-office-presentation";
const string IconNamingMimeTypes::X_OFFICE_SPREADSHEET = "x-office-spreadsheet";

const string IconNamingPlaces::FOLDER = "folder";
const string IconNamingPlaces::FOLDER_REMOTE = "folder-remote";
const string IconNamingPlaces::NETWORK_SERVER = "network-server";
const string IconNamingPlaces::NETWORK_WORKGROUP = "network-workgroup";
const string IconNamingPlaces::START_HERE = "start-here";
const string IconNamingPlaces::USER_BOOKMARKS = "user-bookmarks";
const string IconNamingPlaces::USER_DESKTOP = "user-desktop";
const string IconNamingPlaces::USER_HOME = "user-home";
const string IconNamingPlaces::USER_TRASH = "user-trash";

const string IconNamingStatus::APPOINTMENT_MISSED = "appointment-missed";
const string IconNamingStatus::APPOINTMENT_SOON = "appointment-soon";
const string IconNamingStatus::AUDIO_VOLUME_HIGH = "audio-volume-high";
const string IconNamingStatus::AUDIO_VOLUME_LOW = "audio-volume-low";
const string IconNamingStatus::AUDIO_VOLUME_MEDIUM = "audio-volume-medium";
const string IconNamingStatus::AUDIO_VOLUME_MUTED = "audio-volume-muted";
const string IconNamingStatus::BATTERY_CAUTION = "battery-caution";
const string IconNamingStatus::BATTERY_LOW = "battery-low";
const string IconNamingStatus::DIALOG_ERROR = "dialog-error";
const string IconNamingStatus::DIALOG_INFORMATION = "dialog-information";
const string IconNamingStatus::DIALOG_PASSWORD = "dialog-password";
const string IconNamingStatus::DIALOG_QUESTION = "dialog-question";
const string IconNamingStatus::DIALOG_WARNING = "dialog-warning";
const string IconNamingStatus::FOLDER_DRAG_ACCEPT = "folder-drag-accept";
const string IconNamingStatus::FOLDER_OPEN = "folder-open";
const string IconNamingStatus::FOLDER_VISITING = "folder-visiting";
const string IconNamingStatus::IMAGE_LOADING = "image-loading";
const string IconNamingStatus::IMAGE_MISSING = "image-missing";
const string IconNamingStatus::MAIL_ATTACHMENT = "mail-attachment";
const string IconNamingStatus::MAIL_UNREAD = "mail-unread";
const string IconNamingStatus::MAIL_READ = "mail-read";
const string IconNamingStatus::MAIL_REPLIED = "mail-replied";
const string IconNamingStatus::MAIL_SIGNED = "mail-signed";
const string IconNamingStatus::MAIL_SIGNED_VERIFIED = "mail-signed-verified";
const string IconNamingStatus::MEDIA_PLAYLIST_REPEAT = "media-playlist-repeat";
const string IconNamingStatus::MEDIA_PLAYLIST_SHUFFLE = "media-playlist-shuffle";
const string IconNamingStatus::NETWORK_ERROR = "network-error";
const string IconNamingStatus::NETWORK_IDLE = "network-idle";
const string IconNamingStatus::NETWORK_OFFLINE = "network-offline";
const string IconNamingStatus::NETWORK_RECEIVE = "network-receive";
const string IconNamingStatus::NETWORK_TRANSMIT = "network-transmit";
const string IconNamingStatus::NETWORK_TRANSMIT_RECEIVE = "network-transmit-receive";
const string IconNamingStatus::PRINTER_ERROR = "printer-error";
const string IconNamingStatus::PRINTER_PRINTING = "printer-printing";
const string IconNamingStatus::SECURITY_HIGH = "security-high";
const string IconNamingStatus::SECURITY_MEDIUM = "security-medium";
const string IconNamingStatus::SECURITY_LOW = "security-low";
const string IconNamingStatus::SOFTWARE_UPDATE_AVAILABLE = "software-update-available";
const string IconNamingStatus::SOFTWARE_UPDATE_URGENT = "software-update-urgent";
const string IconNamingStatus::SYNC_ERROR = "sync-error";
const string IconNamingStatus::SYNC_SYNCHRONIZING = "sync-synchronizing";
const string IconNamingStatus::TASK_DUE = "task-due";
const string IconNamingStatus::TASK_PAST_DUE = "task-past-due";
const string IconNamingStatus::USER_AVAILABLE = "user-available";
const string IconNamingStatus::USER_AWAY = "user-away";
const string IconNamingStatus::USER_IDLE = "user-idle";
const string IconNamingStatus::USER_OFFLINE = "user-offline";
const string IconNamingStatus::USER_TRASH_FULL = "user-trash-full";
const string IconNamingStatus::WEATHER_CLEAR = "weather-clear";
const string IconNamingStatus::WEATHER_CLEAR_NIGHT = "weather-clear-night";
const string IconNamingStatus::WEATHER_FEW_CLOUDS = "weather-few-clouds";
const string IconNamingStatus::WEATHER_FEW_CLOUDS_NIGHT = "weather-few-clouds-night";
const string IconNamingStatus::WEATHER_FOG = "weather-fog";
const string IconNamingStatus::WEATHER_OVERCAST = "weather-overcast";
const string IconNamingStatus::WEATHER_SEVERE_ALERT = "weather-severe-alert";
const string IconNamingStatus::WEATHER_SHOWERS = "weather-showers";
const string IconNamingStatus::WEATHER_SHOWERS_SCATTERED = "weather-showers-scattered";
const string IconNamingStatus::WEATHER_SNOW = "weather-snow";
const string IconNamingStatus::WEATHER_STORM = "weather-storm";

