/*
    Copyright (C) 2010 Yvon Tanguy

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef INISTYLEFILE_H
#define INISTYLEFILE_H

#include<string>
#include<map>
#include "fdexception.h"

namespace freedesktop {
    /**
      \brief Key value pairs, found in a section of an ini file.
      */
    typedef std::map<std::string, std::string> IniKeysValues;

    /**
      \brief The ini file content.
      */
    typedef std::map<std::string, IniKeysValues *> IniSections;

    /**
      \brief Internal helper class to read ini style files.
      */
    class IniStyleFile {

    public:
        IniStyleFile(std::string filename);
        ~IniStyleFile();

        void readFile() throw(FDException);
        IniSections *getIniSections() const { return sections; }
        //void setIniSections(IniSections *_sections) { this->sections = _sections; }

    private:
        void clearSections();

        std::string fileName;
        IniSections *sections;
    };
}
#endif // INISTYLEFILE_H
